%bcond_without gui

Summary:        Policy analysis tools for SELinux
Name:           setools
Version:        4.4.2
Release:        3%{?dist}
License:        GPLv2
URL:            https://github.com/SELinuxProject/setools/wiki
Source0:        https://github.com/SELinuxProject/setools/archive/%{version}.tar.gz

BuildRequires:  flex bison gcc glibc-devel git-core libselinux-devel
BuildRequires:  libsepol-devel >= 3.2-1 libsepol-static >= 3.2-1
BuildRequires:  python3-Cython python3-devel python3-setuptools
%if %{with gui}
BuildRequires:  swig qt5-qtbase-devel
Requires:       %{name}-gui = %{version}-%{release}
%endif  
Requires:       %{name}-console = %{version}-%{release}
Requires:       %{name}-console-analyses = %{version}-%{release}

%description
SETools is a collection of graphical tools, command-line tools, 
and libraries designed to facilitate SELinux policy analysis. 
SETools uses the Python setuptools build system to build, and install.

%package     console
Summary:     Policy analysis command-line tools for SELinux
License:     GPLv2
Requires:    python3-setools = %{version}-%{release}
Requires:    libselinux >= 3.2-1

%description console
SETools is a collection of graphical tools, command-line tools, and
libraries designed to facilitate SELinux policy analysis.

%package     console-analyses
Summary:     Policy analysis command-line tools for SELinux
License:     GPLv2
Requires:    python3-setools = %{version}-%{release}
Requires:    libselinux >= 3.2-1
Requires:    python3-networkx

%description console-analyses
Analyses files for setools-console.

%package     -n python3-setools
Summary:     Policy analysis tools for SELinux  
Requires:    python3-setuptools

%description -n python3-setools
Python3 package for setools.

%if %{with gui}
%package     gui
Summary:     Policy analysis graphical tools for SELinux
Requires:    python3-setools = %{version}-%{release}
Requires:    python3-qt5
Requires:    python3-networkx

%description gui
Gui packages for setools.
%endif

%prep
%autosetup -p 1 -S git -n setools-%{version}

%build
%py3_build

%install
%py3_install
%if %{without gui}
rm -r %{buildroot}%{_bindir}/apol
rm -r %{buildroot}%{python3_sitearch}/setoolsgui
rm -r %{buildroot}%{_mandir}/man1/apol*
rm -r %{buildroot}%{_mandir}/ru/man1/apol*
%endif

%files

%files console
%{_bindir}/sechecker
%{_bindir}/sediff
%{_bindir}/seinfo
%{_bindir}/sesearch
%{_mandir}/man1/sechecker*
%{_mandir}/man1/sediff*
%{_mandir}/man1/seinfo*
%{_mandir}/man1/sesearch*
%{_mandir}/ru/man1/sediff*
%{_mandir}/ru/man1/seinfo*
%{_mandir}/ru/man1/sesearch*

%files console-analyses
%{_bindir}/sedta
%{_bindir}/seinfoflow
%{_mandir}/man1/sedta*
%{_mandir}/man1/seinfoflow*
%{_mandir}/ru/man1/sedta*
%{_mandir}/ru/man1/seinfoflow*

%files -n python3-setools
%license COPYING COPYING.GPL COPYING.LGPL
%{python3_sitearch}/setools
%{python3_sitearch}/setools-*


%if %{with gui}
%files gui
%{_bindir}/apol
%{python3_sitearch}/setoolsgui
%{_mandir}/man1/apol*
%{_mandir}/ru/man1/apol*
%endif

%changelog
* Tue Sep 19 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 4.4.2-3
- Rebuilt for python 3.11

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 4.4.2-2
- Rebuilt for OpenCloudOS Stream 23.09

* Wed Jul 12 2023 Yi Lin <nilusyi@tencent.com> - 4.4.2-1
- upgrade to 4.4.2

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 4.4.0-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 4.4.0-2
- Rebuilt for OpenCloudOS Stream 23

* Fri Sep 16 2022 Wang Zhe <bessiewang@tencent.com> - 4.4.0-1
- initial build
